/* $Id: UITranslationEventListener.cpp 103914 2024-03-19 12:08:58Z vboxsync $ */
/** @file
 * VBox Qt GUI - UITranslationEventListener class implementation.
 */

/*
 * Copyright (C) 2006-2023 Oracle and/or its affiliates.
 *
 * This file is part of VirtualBox base platform packages, as
 * available from https://www.virtualbox.org.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, in version 3 of the
 * License.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <https://www.gnu.org/licenses>.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 */

/* Qt includes: */
#include <QApplication>

/* GUI includes: */
#include "UITranslationEventListener.h"
#include "UITranslator.h"



UITranslationEventListener::UITranslationEventListener(QObject *pParent /* = 0 */)
    :QObject(pParent)
{
    qApp->installEventFilter(this);
}

bool UITranslationEventListener::eventFilter(QObject *pObject, QEvent *pEvent)
{
    if (   !UITranslator::isTranslationInProgress()
           && pEvent->type() == QEvent::LanguageChange)
    {
        //&& (pObject == qApp || pObject == this))
        emit sigRetranslate();
    }
    /* Call to base-class: */
    return QObject::eventFilter(pObject, pEvent);
}
